﻿using System.Collections.Generic;

namespace WpfApp1
{
    public interface IData
    {
        void AddWorkspace(int workspaceId);
        void RemoveWorkspace(int workspaceId);
        void ClearWorkspaces();
        IReadOnlySet<int> Workspaces { get; }
        string File { get; }
        bool IsComposite { get; }
        double RodForce { get; }
        double SealDrag { get; }
        double Speed { get; }
    }
}