﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace WpfApp1
{
    public class ToggleSwitchOffsetConverter : IValueConverter
    {
        public bool IsReversed { get; set; }
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var width = (double?) value ?? double.NaN;
            return width > 20D ? IsReversed ? -((width / 2) - 10) : (width / 2) - 10 : 0;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}